Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Class StringItem

    java.lang.Object
      |
      +--javax.microedition.lcdui.Item
            |
            +--javax.microedition.lcdui.StringItem

public class StringItem
extends Item

An item that can contain a string. A StringItem is display-only; the user cannot edit the contents. Both the label and the textual content of a StringItem may be modified by the application. The visual representation of the label may differ from that of the textual contents.

Constructor Summary
`StringItem(String label, String text)` Creates a new StringItem object with the given label and textual content.

Method Summary
`String` | `getText()` Gets the text contents of the StringItem, or null if the StringItem is empty.
`void` | `setText(String text)` Sets the text contents of the StringItem.

Methods inherited from class javax.microedition.lcdui.Item
`getLabel, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringItem

    public StringItem(String label,
                      String text)

  Creates a new StringItem object with the given label and textual content. Either label or text may be present or null.
  Parameters:
    `label` - the Item label
    `text` - the text contents

Method Detail

### getText

    public String getText()

  Gets the text contents of the StringItem, or null if the StringItem is empty.
  Returns:
    a string with the content of the item

### setText

    public void setText(String text)

  Sets the text contents of the StringItem. If text is null, the StringItem is set to be empty.
  Parameters:
    `text` - the new content

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 0.95 of MID Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.